Rename --html-extension to --adjust-extension.